## mock 0.4

=== Makefile ===
SUBDIRS = etc src

PKGNAME = mock
VERSION=$(shell awk '/Version:/ { print $$2 }' ${PKGNAME}.spec)
RELEASE=$(shell awk '/Release:/ { print $$2 }' ${PKGNAME}.spec)
CVSTAG=mock-$(subst .,_,$(VERSION)-$(RELEASE))

all: subdirs

clean:
	rm -f *.pyc *.pyo *~ *.bak
	for d in $(SUBDIRS); do make -C $$d clean ; done

distclean: clean
	rm -rf dist build
	rm *.tar.gz

subdirs:
	for d in $(SUBDIRS); do make -C $$d; [ $$? = 0 ] || exit 1 ; done

install:
	mkdir -p $(DESTDIR)/usr/bin/
	mkdir -p $(DESTDIR)/usr/libexec
	install -m 755 mock.py $(DESTDIR)/usr/bin/mock
	install -m 755 mock-yum $(DESTDIR)/usr/libexec/mock-yum
	mkdir -p $(DESTDIR)/var/lib/mock
	for d in $(SUBDIRS); do make  DESTDIR=`cd $(DESTDIR); pwd` -C $$d install; [ $$? = 0 ] || exit 1; done

archive:
	@rm -rf ${PKGNAME}-%{VERSION}.tar.gz
	@rm -rf /tmp/${PKGNAME}-$(VERSION) /tmp/${PKGNAME}
	@dir=$$PWD; cd /tmp; cp -a $$dir ${PKGNAME}
	@rm -rf /tmp/${PKGNAME}/${PKGNAME}-daily.spec /tmp/${PKGNAME}/build /tmp/${PKGNAME}/dist
	@mv /tmp/${PKGNAME} /tmp/${PKGNAME}-$(VERSION)
	@dir=$$PWD; cd /tmp; tar cvzf $$dir/${PKGNAME}-$(VERSION).tar.gz ${PKGNAME}-$(VERSION)
	@rm -rf /tmp/${PKGNAME}-$(VERSION)	
	@echo "The archive is in ${PKGNAME}-$(VERSION).tar.gz"

rpm: archive
	rm -rf build dist
	mkdir build dist
	rpmbuild --define "_sourcedir $(PWD)" --define "_builddir $(PWD)/build" --define "_srcrpmdir $(PWD)/dist" --define "_rpmdir $(PWD)/dist" -ba mock.spec

=== etc/Makefile ===
all:
	echo "Nothing to do"

clean:
	rm -f *.bak *~

install:
	mkdir -p $(DESTDIR)/etc/mock/
	for item in *.cfg; do \
		install -m 644 $$item $(DESTDIR)/etc/mock/$$item; \
	done
	for arch in i386 ppc x86_64 ; do \
		ln -sv fedora-5-$$arch-core.cfg  $(DESTDIR)/etc/mock/fedora-development-$$arch-core.cfg; \
	done

## mock 0.6.10

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SUBDIRS = etc src
+SUBDIRS = etc src docs
 
 PKGNAME = mock
 VERSION=$(shell awk '/Version:/ { print $$2 }' ${PKGNAME}.spec)
@@ -26,13 +26,16 @@
 	mkdir -p $(DESTDIR)/var/lib/mock
 	for d in $(SUBDIRS); do make  DESTDIR=`cd $(DESTDIR); pwd` -C $$d install; [ $$? = 0 ] || exit 1; done
 
-archive:
-	@rm -rf ${PKGNAME}-%{VERSION}.tar.gz
+EXCLUDES	:= --exclude='*~' --exclude='*.patch' --exclude='*.save' \
+		   --exclude='*.rpm' --exclude='*.diff' --exclude='*.sh' \
+		   --exclude='*.tar.gz' --exclude='*.tar.bz2' --exclude='*test*'
+archive: clean
+	@rm -rf ${PKGNAME}-*.tar.gz
 	@rm -rf /tmp/${PKGNAME}-$(VERSION) /tmp/${PKGNAME}
-	@dir=$$PWD; cd /tmp; cp -a $$dir ${PKGNAME}
+	@rsync -a $(EXCLUDES) . /tmp/${PKGNAME}
 	@rm -rf /tmp/${PKGNAME}/${PKGNAME}-daily.spec /tmp/${PKGNAME}/build /tmp/${PKGNAME}/dist
 	@mv /tmp/${PKGNAME} /tmp/${PKGNAME}-$(VERSION)
-	@dir=$$PWD; cd /tmp; tar cvzf $$dir/${PKGNAME}-$(VERSION).tar.gz ${PKGNAME}-$(VERSION)
+	@dir=$$PWD; cd /tmp; tar cvz --exclude=CVS --exclude=.cvsignore -f $$dir/${PKGNAME}-$(VERSION).tar.gz ${PKGNAME}-$(VERSION)
 	@rm -rf /tmp/${PKGNAME}-$(VERSION)	
 	@echo "The archive is in ${PKGNAME}-$(VERSION).tar.gz"
 
@@ -40,3 +43,22 @@
 	rm -rf build dist
 	mkdir build dist
 	rpmbuild --define "_sourcedir $(PWD)" --define "_builddir $(PWD)/build" --define "_srcrpmdir $(PWD)/dist" --define "_rpmdir $(PWD)/dist" -ba mock.spec
+
+RPMARGS 	:= --define "_sourcedir $(PWD)" \
+		   --define "_builddir $(PWD)/buildsys" \
+		   --define "_srcrpmdir $(PWD)/buildsys" \
+		   --define "_rpmdir $(PWD)/buildsys" 
+
+buildsys-rpm:
+	rm -rf buildsys
+	mkdir buildsys
+	for i in 1 2 3 4 5 6; do \
+		rpmbuild $(RPMARGS) --define "fedora $$i" --define "dist .fc$$i" -bb buildsys-build.spec; \
+	done
+	for i in 3 4 5; do \
+		rpmbuild $(RPMARGS) --define "rhel $$i" --define "dist .el$$i" -bb buildsys-build.spec; \
+	done
+	for i in 73 8 9; do \
+		rpmbuild $(RPMARGS) --define "rhl $$i" --define "dist .rh$$i" -bb buildsys-build.spec; \
+	done
+	rpmbuild $(RPMARGS) --define "fedora development" --define "dist .fc7" -bb buildsys-build.spec

=== docs/Makefile ===
all:
	echo "Nothing to do"

clean:
	rm -f *.pyc *.pyo *~

install:
	mkdir -p $(DESTDIR)/usr/share/man/man1
	install -m 644 mock.1 $(DESTDIR)/usr/share/man/man1/mock.1

=== etc/Makefile ===
all:
	echo "Nothing to do"

clean:
	rm -f *.bak *~

install:
	mkdir -p $(DESTDIR)/etc/mock/
	for item in *.cfg; do \
		install -m 644 $$item $(DESTDIR)/etc/mock/$$item; \
	done

=== src/Makefile ===
CC=gcc
EXECUTABLE=mock-helper
SBINDIR=/usr/sbin
MOCKGROUP=mock
DESTDIR=''
INSTALL=/usr/bin/install
MKDIR=/bin/mkdir

ifndef NOSELINUX
SELINUXFLAGS=-DUSE_SELINUX=1 -lselinux
endif

ifneq (,$(filter ppc64 x86_64 s390x,$(shell uname -m)))
LIBDIR = /usr/lib64
else
LIBDIR = /usr/lib
endif

all: 
	$(CC) $(CFLAGS) -o $(EXECUTABLE) mock-helper.c $(SELINUXFLAGS)
	$(CC) $(CFLAGS) -fPIC -c selinux-mock.c
	$(LD) -shared -o libselinux-mock.so selinux-mock.o

clean:
	rm -f $(EXECUTABLE)
	rm -f *~ *.bak *.o *.so

install:
	$(MKDIR) -p $(DESTDIR)/$(SBINDIR) $(DESTDIR)/$(LIBDIR)
	$(INSTALL) -m 4750 $(EXECUTABLE) $(DESTDIR)/$(SBINDIR)/$(EXECUTABLE)
	$(INSTALL) -m 755 libselinux-mock.so $(DESTDIR)/$(LIBDIR)

## mock 1.0.8

=== debian/changelog ===
mock (1.0.8-3) unstable; urgency=low

  * QA upload.
  * Fix previous screwed upload

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Sep 2010 22:02:59 +0200

mock (1.0.8-2) unstable; urgency=low

  * QA upload.
  * Makefile.in
    - hardcode the path to the mock directory, needed to properly load (at least
      it's how mock is designed) the plugins; Closes: #597164

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Sep 2010 19:30:05 +0200

mock (1.0.8-1) unstable; urgency=low

  * QA upload.
  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 13 Jun 2010 23:28:01 +0300

mock (1.0.3-1) unstable; urgency=low

  * QA upload.
  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 13 Jun 2010 14:19:08 +0300

mock (1.0.1-1) unstable; urgency=low

  * QA upload.
  * New upstream release (Closes: #398024, #415423).
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump debian/compat from 4 to 7.
  * Update debian/control:
    - bump debhelper build dependency from 4.1 to 7.0.50~.
    - remove libselinux-dev build dependency - useless.
    - add versioned build dependency to python and python-support.
    - use ${python:Depends} dependency.
    - add versioned dependency to yum and and rpm.
  * Update debian/copyright:
    - update authors list.
    - refresh to latest Debian template.
  * Update debian/dirs: add /var/cache/mock directory.
  * Update debian/mock.postinst: handle /var/cache/mock directory.
  * Remove debian/pycompat: useless.
  * Update debian/rules: convert to dh usage.

 -- Fathi Boudra <fabo@debian.org>  Sun, 13 Jun 2010 09:05:36 +0300

mock (0.9.7-3) unstable; urgency=low

  * Set maintainer to QA team and orphan package.
  * Ack NMU; thanks Riku! (closes: #508781, #496104)
  * Fix typo in description (closes: #508811).
  * Update copyright file to include more info (silence lintian errors).

 -- Andres Salomon <dilinger@debian.org>  Mon, 17 Aug 2009 21:52:31 +0000

mock (0.9.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Correct python version, closes: #508781, #496104

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 16 Dec 2008 20:38:03 +0200

mock (0.9.7-2) unstable; urgency=low

  * Depend upon usermode.
  * Make /usr/bin/mock a symlink to consolehelper.

 -- Andres Salomon <dilinger@debian.org>  Fri, 07 Mar 2008 17:00:38 +0000

mock (0.9.7-1) unstable; urgency=low

  * New upstream release (closes: #403371).
  * New maintainer (closes: #457620).
  * Drop cdbs, use debhelper directly instead.
  * Change mock from Arch: any to Arch: all; there are no binaries
    contained within it.
  * Drop debian/watch; I don't use it, and don't care to update
    it (closes: #450373).

 -- Andres Salomon <dilinger@debian.org>  Thu, 07 Feb 2008 22:16:36 +0000

mock (0.6.10-2) unstable; urgency=low

  * debian/control:
    - Standards-Version to 3.7.3.
    - Add shlibs:Depends to the package.
    - Add Vcs-* and Homepage headers.
    - Set maintainer to QA group to orphan the package.

 -- Eric Dorland <eric@debian.org>  Fri, 18 Jan 2008 00:16:00 -0500

mock (0.6.10-1) unstable; urgency=high

  * New upstream release.
  * debian/control: 
    - Add missing dependency on adduser. Thanks Lucas Nussbaum and 
      puiparts. (Closes: #408257)
    - Make the long description a little more descriptive. (Closes: #387259)

 -- Eric Dorland <eric@debian.org>  Wed, 24 Jan 2007 23:36:40 -0500

mock (0.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Eric Dorland <eric@debian.org>  Wed, 15 Nov 2006 01:05:09 -0500

mock (0.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Eric Dorland <eric@debian.org>  Thu, 31 Aug 2006 02:00:44 -0400

mock (0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Eric Dorland <eric@debian.org>  Sun, 30 Jul 2006 21:21:25 -0400

mock (0.4-4) unstable; urgency=medium

  * src/Makefile: Always use /usr/lib, not /usr/lib64. (Closes: #379860)
  * debian/control: Standards-Version to 3.7.2.1.
  * debian/watch: Add watch file.

 -- Eric Dorland <eric@debian.org>  Sun, 30 Jul 2006 19:39:25 -0400

mock (0.4-3) unstable; urgency=low

  * debian/control:
    - Use Build-Depends, not Build-Depends-Indep. (Closes: #375501)
    - Standards-Version to 3.7.2.0.
  * debian/copyright: Update FSF address.

 -- Eric Dorland <eric@debian.org>  Thu, 29 Jun 2006 19:54:23 -0400

mock (0.4-2) unstable; urgency=low

  * debian/copyright: Use a correct copyright file. 

 -- Eric Dorland <eric@debian.org>  Mon,  1 May 2006 10:22:43 -0400

mock (0.4-1) unstable; urgency=low

  * Initial release. 

 -- Eric Dorland <eric@debian.org>  Mon, 17 Apr 2006 22:09:13 -0400

=== debian/control ===
Source: mock
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.3.5-7), python-support (>= 0.90.0)
Standards-Version: 3.8.4
Homepage: http://fedoraproject.org/wiki/Projects/Mock
Vcs-Git: git://git.debian.org/collab-maint/mock.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mock.git;a=summary

Package: mock
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 yum (>= 3.2.12), rpm (>= 4.4.2), adduser, python-decoratortools, usermode
Description: Build rpm packages inside a chroot
 Mock creates chroots and builds rpms in them. Its only task is to
 reliably populate a chroot and attempt to build a package in that
 chroot. It is used by the Fedora Extras project to build their
 packages cleanly.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- \
	    pkgpythondir=/var/lib/python-support/$(shell pyversions -d)/mock

.PHONY: override_dh_auto_test

## mock 1.1.33

=== debian/changelog ===
mock (1.1.33-1) unstable; urgency=low

  * Initial release. (Closes: #696719)

 -- Tzafrir Cohen <tzafrir@debian.org>  Sat, 14 Sep 2013 01:30:31 +0300

=== debian/control ===
Source: mock
Section: devel
Maintainer: Tzafrir Cohen <tzafrir@debian.org>
Priority: extra
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 8.0), dh-autoreconf, rpm, python | python-all
Homepage: https://fedorahosted.org/mock/
Vcs-Git: git://anonscm.debian.org/users/tzafrir/mock.git
Vcs-Browser: http://anoncms.debian.org/gitweb/?p=users/tzafrir/mock.git

Package: mock
Architecture: all
Depends: python, ${misc:Depends}, ${python:Depends},
 python-rpm, python-decoratortools, yum (>> 3.2.26), usermode, yum-utils
Suggests: pigz
Description: Build rpm packages inside a chroot
 Mock creates chroots and builds rpms in them. Its only task is to
 reliably populate a chroot and attempt to build a package in that
 chroot. It is used be the Fedora Extras project to build their
 packages cleanly.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2,autoreconf

SAVED_FILES = \
	Makefile.in aclocal.m4 build/install-sh build/missing \
	build/py-compile configure

override_dh_autoreconf:
	for file in $(SAVED_FILES); do \
		if [ ! -r $$file-debsaved ]; then \
			cp -a $$file $$file-debsaved; \
		fi; \
	done
	dh_autoreconf

override_dh_autoreconf_clean:
	dh_autoreconf_clean
	for file in $(SAVED_FILES); do \
		if [ -r $$file-debsaved ]; then \
			mv $$file-debsaved $$file; \
		fi; \
	done

override_dh_clean:
	# Left-over files in the 1.1.33 tarball?
	dh_clean -X '#fedora-20-armhfp.cfg#' -X '#release-instructions.txt#'

override_dh_auto_test:
	# Don't run dh_auto_test (selt tests), as they seem to require root.

# There is a directory called "build"
build: build-indep

## mock 1.2.3

=== debian/changelog ===
mock (1.2.3-1.2) unstable; urgency=medium

  * Non-maintainer upload to unstable.

 -- Holger Levsen <holger@debian.org>  Thu, 02 Jun 2016 19:24:18 +0200

mock (1.2.3-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Fix debian/postinst by adding the required dirs and using the correct
    variable. (Closes: ##775118) - patch by Guido Günther.

 -- Holger Levsen <holger@debian.org>  Thu, 17 Dec 2015 00:44:27 +0100

mock (1.2.3-1) experimental; urgency=low

  * New upstream release (Closes: #762884).
  * pam_debian: Adapt PAM settings to Debian (Tyler Trafford) (Closes:
    #723764).
  * Create group 'mock' on postinst and set path permissions (Closes:
    #723673).
  * Clean some files are now generated.
  * remove_home_rpmdb.patch - fixes a Debian-spefic RPM issue.
  * compat level 9.
  * Update VCS URLs (Closes: #762886).
  * Requirements for chrooted build: pkg-config.

 -- Tzafrir Cohen <tzafrir@debian.org>  Thu, 01 Jan 2015 11:42:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Maintainer: Tzafrir Cohen <tzafrir@debian.org>
 Priority: extra
 Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 8.0), dh-autoreconf, rpm, python | python-all
+Build-Depends: debhelper (>= 9.0), dh-autoreconf, rpm, python | python-all, pkg-config
 Homepage: https://fedorahosted.org/mock/
-Vcs-Git: git://anonscm.debian.org/users/tzafrir/mock.git
-Vcs-Browser: http://anoncms.debian.org/gitweb/?p=users/tzafrir/mock.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/mock.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mock.git
 
 Package: mock
 Architecture: all

## mock 1.2.18

=== debian/changelog ===
mock (1.2.18-1) unstable; urgency=medium

  * Ack NMUs (Closes: #808190)
  * New upstream release (Closes: #826149).
    - Drop patch hyphen (fixed upstream).
  * debian/watch: use upstream git tag (Closes: #762882)
  * build-dep on dh-python
  * Ignore more debhelper files
  * control: one dependency per line
  * depend on bash-completion
  * spelling.patch: a revamped one
  * Copyright file: update
  * Standards version 3.9.8 (no change needed)
  * A secure clone URL

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 26 Jun 2016 08:04:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,16 @@
 Section: devel
 Maintainer: Tzafrir Cohen <tzafrir@debian.org>
 Priority: extra
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9.0), dh-autoreconf, rpm, python | python-all, pkg-config
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9.0),
+ dh-autoreconf,
+ rpm,
+ python | python-all,
+ dh-python,
+ pkg-config,
+ bash-completion,
 Homepage: https://fedorahosted.org/mock/
-Vcs-Git: git://anonscm.debian.org/collab-maint/mock.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/mock.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mock.git
 
 Package: mock

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2,autoreconf

SAVED_FILES = \
	Makefile.in aclocal.m4 build/install-sh build/missing \
	build/py-compile configure

override_dh_autoreconf:
	dh_autoreconf

override_dh_autoreconf_clean:
	dh_autoreconf_clean

override_dh_auto_test:
	# Don't run dh_auto_test (selt tests), as they seem to require root.

# There is a directory called "build"
build: build-indep

## mock 1.3.2

=== Makefile ===
# vim:noexpandtab:autoindent:tabstop=8:shiftwidth=8:filetype=make:nocindent:tw=0:
check:
	./tests/runtests.sh

AUTHORS:
	(GIT_DIR=.git git log | grep ^Author | sort |uniq > .authors.tmp && mv .authors.tmp AUTHORS; rm -f .authors.tmp) || (touch AUTHORS; echo 'git directory not found: installing possibly empty AUTHORS.' >&2)

install-exec-hook:
	for i in $(REPLACE_VARS_ON_INSTALL); do      \
		file=$(DESTDIR)/$$i			;\
                perl -p -i -e 's|^__VERSION__\s*=.*|__VERSION__="$(RELEASE_VERSION)"|' $$file ;\
                perl -p -i -e 's|^SYSCONFDIR\s*=.*|SYSCONFDIR="$(sysconfdir)"|' $$file        ;\
                perl -p -i -e 's|^PYTHONDIR\s*=.*|PYTHONDIR="$(pythondir)"|' $$file           ;\
                perl -p -i -e 's|^PKGPYTHONDIR\s*=.*|PKGPYTHONDIR="$(mockbuilddir)"|' $$file  ;\
                perl -p -i -e 's|^PKGDATADIR\s*=.*|PKGDATADIR="$(pkgdatadir)"|' $$file        ;\
                perl -p -i -e 's|^LIBDIR\s*=.*|LIBDIR="$(libdir)"|' $$file        ;\
        done
	mv $(DESTDIR)/$(sbindir)/mock.py $(DESTDIR)/$(sbindir)/mock
	[ -d $(DESTDIR)/$(bindir) ] || mkdir $(DESTDIR)/$(bindir)
	mv $(DESTDIR)/$(sbindir)/mockchain.py $(DESTDIR)/$(bindir)/mockchain


.PHONY: rpm srpm help install-devel-packages
rpm:
	tito build --test --rpm

srpm:
	tito build --test --srpm

install-devel-packages:
	yum --disablerepo='beaker*' install mock rpm-build fedora-packager vim-enhanced git-all

help:
	@echo
	@echo "Mock Makefile targets:"
	@echo "	dist	- generate Authors file"
	@echo "	rpm	- build binary RPM"
	@echo "	srpm	- build source RPM"
	@echo "	help	- print this message"
	@echo "Additionally, all standard automake targets are supported"
	@echo

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
mock (1.3.2-2) unstable; urgency=medium

  * Fix debian/watch for github (Closes: #762885)
  * Depend on python3-six (Closes: #857138)

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 08 Mar 2017 15:01:12 +0200

mock (1.3.2-1) unstable; urgency=medium

  * New upstream release
  * Set format for upstream tags
  * Add make_all.patch: don't run tests automatically
  * Rewrite the installation
  * no_dnf.patch: don't make dnf the default
  * console_helper.patch: place binary in /usr/sbin
  * Add gpg_keys_path.patch
  * fedora25_key.patch - left out by Upstream

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 25 Dec 2016 23:45:41 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Build-Depends: debhelper (>= 9.0),
  dh-autoreconf,
  rpm,
- python | python-all,
+ python3 | python3-all,
  dh-python,
  pkg-config,
  bash-completion,
-Homepage: https://fedorahosted.org/mock/
+Homepage: https://github.com/rpm-software-management/mock
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/mock.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mock.git
 
 Package: mock
 Architecture: all
-Depends: python, ${misc:Depends}, ${python:Depends},
- python-rpm, python-decoratortools, yum (>> 3.2.26), usermode, yum-utils
+Depends: python, ${misc:Depends}, ${python3:Depends},
+ python3-rpm, yum (>> 3.2.26), usermode, yum-utils, python3-six
 Suggests: pigz
 Description: Build rpm packages inside a chroot
  Mock creates chroots and builds rpms in them. Its only task is to

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3

# FIXME: this should be removed in the future
override_dh_clean:
	dh_clean
	chmod a+x py/mockbuild/trace_decorator.py

override_dh_auto_install:
	./debian/setup $(CURDIR)/debian/mock

override_dh_auto_test:
	# Don't run dh_auto_test (selt tests), as they seem to require root.

override_dh_python3:
	dh_python3
	chmod a-x $(CURDIR)/debian/mock/usr/lib/python3/dist-packages/mockbuild/trace_decorator.py


# There is a directory called "build"
build: build-indep

=== debian/watch ===
version=4

opts="filenamemangle=s%(mock-\d[\d.]*)-1\.tar\.gz%$1.tar.gz%" \
    https://github.com/rpm-software-management/mock/tags \
   /rpm-software-management/mock/archive/mock-(\d[\d.]*)-1\.tar\.gz debian uupdate

## mock http-1.0

=== mock_http/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/Mock HTTP.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/Mock HTTP.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."
